<?php


namespace App\Mobile\Synchronization\Resources;


use Freelabois\LaravelQuickstart\Extendables\Resource;

class SyncPriceResource extends Resource
{
    public function toArray($request)
    {
        $price = $this->price_type ?? null;
        $tipo = null;
        if($price){
            if($price->tap_padrao == 1){
                $tipo = 'PADRAO';
            }elseif($price->tap_tabela_promocional == 1){
                $tipo = 'PROMOCIONAL';
            }
        }

        return [
            'tpp_fk_tap_codigo' => $this->tpp_fk_tap_codigo ?? null,
            'tpp_fk_pve_codigo' => $this->tpp_fk_pve_codigo ?? null,
            'tpp_valor_venda_padrao' => $this->tpp_valor_venda_padrao ?? null,
            'tipo' => $tipo
        ];
    }
}
