<?php


namespace App\Domain\Logs\Model;


use Illuminate\Database\Eloquent\Model;

class ErrorLog extends Model
{
    const MOVEL_SYNC = 'movel_sync';
    const MOVEL_SYNC_ROUTE = 'movel_sync_route';
    const MOVEL_GET_SYNC = 'movel_get_sync';
    const MOVEL_GET_SYNC_ROUTE = 'movel_get_sync_route';

    const CREATED_AT = "erl_date_insert";
    const UPDATED_AT = "erl_date_update";

    protected $connection = "dynamicdb";
    protected $table = "public.error_logs";
    protected $primaryKey = "erl_codigo";
    protected $fillable = [
        "erl_type",
        "erl_input",
        "erl_error",
        "erl_user_insert"
    ];
}