<?php


namespace App\RestApi\Company\Controllers;

use App\RestApi\Company\Resources\BranchCollectionResource;

use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\Core\Company\Managers\BranchManager;
use Schaffen\Core\Company\Repositories\BranchRepository;


class BranchController
{

    use Crudable;

    public function __construct(BranchManager $manager, BranchRepository $repository)
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request){
        $filter = $request->all();
        if(isset($filter['fil_pessoa']) &&  $filter['fil_pessoa'] == true){
            return $this->resource::collection($this->repository->findMany($filter));
        }else{
            $this->resource = BranchCollectionResource::class;
            return $this->resource::collection($this->repository->findMany($filter));
        }
        
    }


}
