<?php


namespace App\RestApi\FiscalDocument\Controllers;

use Illuminate\Http\Request;
use Schaffen\Fiscal\FiscalDocument\Managers\SdfManager;
use Schaffen\Fiscal\FiscalDocument\Repositories\SdfRepository;
use Freelabois\LaravelQuickstart\Traits\Crudable;

class SdfController
{

    use Crudable;

    public function __construct(
        SdfManager $manager,
        SdfRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request){
        $filter = $request->all();
        return $this->resource::collection($this->repository->findMany($filter));
    }
  
}
