<?php


namespace App\RestApi\Form\Resources;


use Freelabois\LaravelQuickstart\Overridden\BaseResource;

class FormGroupingResource extends BaseResource
{
    public function toArray($request)
    {
        $relationships = [];
        if($this->whenLoaded('forms')){
            $relationships['forms'] = FormResource::collection($this->forms);
        }
        return [
            "foag_codigo" => $this->foag_codigo,
            "foag_descricao" => $this->foag_descricao,
            "foag_status" => $this->foag_status,
            "type" => "group"
        ]+$relationships;
    }
}
