<?php


namespace App\RestApi\NFeDownloader\Controllers;

use App\RestApi\NFeDownloader\Requests\NFeRequest;
use App\RestApi\NFeDownloader\Resources\ProductionOrderResource;
use Schaffen\Fiscal\NfeDownloader\Managers\NFeManager;
use Schaffen\Fiscal\NfeDownloader\Repositories\NFeRepository;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\Fiscal\NfeDownloader\Services\DanfeVisualizer;
use Schaffen\Fiscal\NfeDownloader\Repositories\FileContentRepository;
use Schaffen\Fiscal\NfeDownloader\Repositories\FileRepository;

class NFeController
{

    use Crudable;

    protected $resource = ProductionOrderResource::class;

    public function __construct(
        NFeManager $manager,
        NFeRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }


    public function getDanfe($id)
    {

        return $this->manager->getNFeDanfe($id);

    }

}
