<?php

namespace App\RestApi\ProductionOrder\Controllers;

use App\Http\Controller;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\ProductionOrder\ProductionOrder\Managers\ProductionOrderStatusManager;
use Schaffen\ProductionOrder\ProductionOrder\Repositories\ProductionOrderStatusRepository;

class ProductionOrderStatusController extends Controller
{
    //
    use Crudable;

    public function __construct(
        ProductionOrderStatusManager $manager,
        ProductionOrderStatusRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }
}
