<?php

namespace App\RestApi\ProductionOrder\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ChangeProductionOrderStatus extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "st_codigo" => 'required|numeric',
            "op_quantidade_produzida" => 'numeric',
            "op_observacao" => "string|nullable",
            "lot_codigo" => "numeric|nullable"
        ];
    }
}
