<?php
Route::post('payment', 'Financial\Controllers\PaymentController@generatePayment')->name("generate.payment");
Route::group(['prefix'=>'financial_movement'], function (){
    Route::apiResource('imported', 'Financial\Controllers\ImportedFinancialMovementController');
});

//Integração financeira Gcred
Route::group(['prefix'=>'integration'], function (){
    Route::get('getContractData', 'Financial\Controllers\IntegrationController@getContractData');
    Route::get('getInstallmentsData', 'Financial\Controllers\IntegrationController@getInstallmentsData');
    Route::get('getInstallmentsDataReceived', 'Financial\Controllers\IntegrationController@getInstallmentsDataReceived');
    Route::get('getLostContracts', 'Financial\Controllers\IntegrationController@getLostContracts');
    Route::get('getPersonData', 'Financial\Controllers\IntegrationController@getPersonData');
});